Subject: [nfsv4] Requesting a new Layout Type assignment for Flex Files

From: Tom Haynes <[email-masked]>
Date: Tue, 30 Dec 2014 11:12:07 -0800

I’m trying to get the flexfile client code into the Linux kernel and one review comment
is that we need to nail down the value for LAYOUT4_FLEX_FILES. Looking here in 5661:

22.4.1.  Initial Registry

  The initial registry is in Table 18.

   +-----------------------+-------+----------+-----+----------------+
   | Layout Type Name      | Value | RFC      | How | Minor Versions |
   +-----------------------+-------+----------+-----+----------------+
   | LAYOUT4_NFSV4_1_FILES | 0x1   | RFC 5661 | N   | 1              |
   | LAYOUT4_OSD2_OBJECTS  | 0x2   | RFC 5664 | L   | 1              |
   | LAYOUT4_BLOCK_VOLUME  | 0x3   | RFC 5663 | L   | 1              |
   +-----------------------+-------+----------+-----+----------------+

                Table 18: Initial Layout Type Assignments

22.4.2.  Updating Registrations

  The update of a registration will require IESG Approval on the advice
  of a Designated Expert.

it seems that this can be done before the RFC is published?

I.e., we want this:

   | LAYOUT4_FLEX_FILES  | 0x4   | draft-ietf-nfsv4-flex-files | N   | 1              |

What do we need to do to get this assignment?

---

From: David Noveck <[email-masked]>
Date: Tue, 30 Dec 2014 20:43:55 -0500

> 22.4.2.  Updating Registrations

I don't think this is relevant to your problem.  This covers updates to
existing registrations.

I think you want to add a new registration, which is covered by:

> All assignments to the registry are made on a Standards Action basis,

> with Expert Review required.

> It seems that this can be done before the RFC is published?

Not sure.  "Standards Action" makes it sound like it can't, but ...

> 3.  The Standards Track RFC(s) that describe the notification.  If
>       the RFC(s) have not yet been published, the registrant will use
>       RFCTBD2, RFCTBD3, etc. instead of an actual RFC number.
>       Collectively, the RFC(s) must adhere to the guidelines listed in
>       Section 22.4.3 <https://tools.ietf.org/html/rfc5661#section-22.4.3>.

may indicate otherwise.  The above may be designed to accommodate
documents approved by the IESG, but not yet published, but I'm not
sure.

Given:

 > 2.  The value of the layout type.  IANA will assign this number, and
 >      the request from the registrant will use TBD1 instead of an
 >     actual value.

You probably want to start this process as soon as you can.  Given that

it hasn't been done before, it's hard to know how long it will take.  If they

think you need to wait for IESG approval, then they'll reject it and you can

resubmit it then

On Tue, Dec 30, 2014 at 2:12 PM, Tom Haynes <[email-masked]>
wrote:

> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
>

---

From: David Noveck <[email-masked]>
Date: Wed, 31 Dec 2014 07:55:29 -0500

I think you want to look at section 2 of RFC 4020, particularly items (a)
and (b).

On Tue, Dec 30, 2014 at 8:43 PM, David Noveck <[email-masked]> wrote:

> On Tue, Dec 30, 2014 at 2:12 PM, Tom Haynes <[email-masked]
> > wrote:
>